version: '3.9'
services:
  postgres:
    container_name: weeknd_postgres
    image: postgres:13-alpine
    environment:
      POSTGRES_DB: weeknd_dev
      POSTGRES_USER: weeknd_dev
      POSTGRES_PASSWORD: weeknd_dev
    ports:
      - "5432:5432"
    restart: always
    volumes:
      - /Users/ais/Workspace/madebyais/weeknd/marketify/.dev/data:/var/lib/postgresql/data
  hasura:
    container_name: weeknd_hasura
    image: hasura/graphql-engine:v2.0.9
    ports:
      - "8080:8080"
    depends_on:
      - "postgres"
    restart: always
    environment:
      HASURA_GRAPHQL_METADATA_DATABASE_URL: postgres://weeknd_dev:weeknd_dev@postgres:5432/weeknd_dev
      PG_DATABASE_URL: postgres://weeknd_dev:weeknd_dev@postgres:5432/weeknd_dev
      HASURA_GRAPHQL_ENABLE_CONSOLE: "true"
      HASURA_GRAPHQL_DEV_MODE: "false"
      HASURA_GRAPHQL_ENABLED_LOG_TYPES: startup, http-log, webhook-log, websocket-log, query-log
      HASURA_GRAPHQL_ADMIN_SECRET: weeknd_dev
